import { customerFetch } from '../../api/fetch';

// miniprogram/pages/feedbackDetail/feedbackDetail.js
Page({
  /**
   * 页面的初始数据
   */
  data: {
    customerName: '',
    customerPhone: '',
    id: '',
    dataList: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    const { customerName, customerPhone, id } = options;
    wx.setNavigationBarTitle({
      title: `${customerName}-${customerPhone}`,
    });
    this.setData!({
      customerName,
      customerPhone,
      id,
    });
    this.fetchList();
  },

  fetchList() {
    wx.showLoading({
      title: '加载中',
    });
    return customerFetch({
      url: `/feedback/get/feedback/${this.data.id}`,
    })
      .then(res => {
        wx.hideLoading();
        const { list } = res.data;
        this.setData!({
          dataList: list,
        });
      })
      .catch(err => {
        wx.hideLoading();
        console.log(err);
      });
  },

  // refreshList() {
  //   this.fetchList({
  //     pageNum: 1,
  //   })
  //     .then(res => {
  //       wx.hideLoading();
  //       console.log(res);
  //       if (res.data.page) {
  //         const { list } = res.data.page;
  //         this.setData!({
  //           dataList: list,
  //         });
  //       }
  //     })
  //     .catch(err => {
  //       wx.hideLoading();
  //       console.log(err);
  //     });
  // },

  // onReachBottom() {
  //   wx.showLoading({
  //     title: '加载中',
  //   });
  //   let nextPage = this.data.pageNum + 1;
  //   this.fetchList({
  //     pageNum: nextPage,
  //   })
  //     .then(res => {
  //       wx.hideLoading();
  //       console.log(res);
  //       if (res.data.page && res.data.page.length) {
  //         const {
  //           page: { list, pageNum },
  //         } = res.data;
  //         this.setData!({
  //           dataList: [...this.data.dataList, ...list],
  //           pageNum,
  //         });
  //       }
  //     })
  //     .catch(err => {
  //       wx.hideLoading();
  //       console.log(err);
  //     });
  // },
});
